Edit Scout

Edits an existing Scout. Any parameters passed in this call will be updated to the new values. Unused parameters will not be changed.

📘

Updated URL and authentication

On February 11, we updated the Synthetic Monitoring API to align its URL and authentication with the rest of the ControlUp platform. Learn more.

Path Params
integer
required

ID of the Scout.

Body Params

Edit scout

int32

ID of the Cloud Hive from which the Scout will run.

url

The address of the gateway that the Scout accesses.

string

The Scout's name.

integer
enum

The interval (in minutes) of how often the Scout runs.

Allowed:
string

The published resource that the Scout accesses and tests.

string

The username used to access the gateway.

string

The password used to access the gateway.

options
object

Additional options.

string

The domain used to access the gateway. This is only available for the following sub-types: citrix_cloud, vmware_horizon, vmware_secsrv.

tags
array of uuids

A list of tag value UUIDs to associate with the Scout.

Tag values can be retrieved from GET /v1/organizations/{orgId}/tags.
Each tag object contains a list of values, each with its own id. To assign a tag, provide the id of the desired tag value.

Example: Given the following tag object:

{
  "id": "047b0a09-a33e-45fd-b579-a098ec60d0b5",
  "key": "Database",
  "values": [
    { "id": "07725341-3335-4f4a-a6d7-f64302546c7e", "label": "SQL", "color": "stone" },
    { "id": "2e7aa044-6786-406d-bd00-f43921831099", "label": "NoSQL", "color": "stone" }
  ]
}

To assign the Database:SQL tag, include "07725341-3335-4f4a-a6d7-f64302546c7e" in the list.

When you update tags, all existing tags are replaced with the ones you provide.

tags
Responses
204

Scout was edited successfully

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json